component: ZimbotSim3dFaults
proto_imports:
  - sim/sim_3d/diagnostics/zimbot_sim3d_diagnostics.proto
namespace: zoox::sim_3d::diagnostics
faults:
  - id: 0
    name: SENSOR_LOW_PERFORMANCE
    severity: WARNING
    description: "Sensor is not generating data at real time rate."
    freeze_frame: zoox.sim_3d.diagnostics.SensorLowPerfError
  - id: 1
    name: MSG_HIGH_LATENCY
    severity: WARNING
    description: "Sim3d message received after more than 0.01s."
    freeze_frame: zoox.sim_3d.diagnostics.MsgLatencyError
